-- Lake
-- Lake-River
ALTER TABLE Lake
ADD(CONSTRAINT LakeRiver FOREIGN KEY (River) REFERENCES River(Name));

-- River
-- River-River
ALTER TABLE River
ADD(CONSTRAINT RiverRiver FOREIGN KEY (River) REFERENCES River(Name));

-- River-Lake
ALTER TABLE River
ADD(CONSTRAINT RiverLake FOREIGN KEY (Lake) REFERENCES Lake(Name));

-- River-Sea
ALTER TABLE River
ADD(CONSTRAINT RiverSea FOREIGN KEY (Sea) REFERENCES Sea(Name));

-- RiverThrough-River
ALTER TABLE RiverThrough
ADD(CONSTRAINT RiverthRiver FOREIGN KEY (River) REFERENCES River(Name) ON DELETE CASCADE);

-- RiverThrough-Lake
ALTER TABLE RiverThrough
ADD(CONSTRAINT RiverthLake FOREIGN KEY (Lake) REFERENCES Lake(Name) ON DELETE CASCADE);

-- MergesWith(Sea1,Sea2)
ALTER TABLE MergesWith
ADD(CONSTRAINT MergesWS1 FOREIGN KEY (Sea1) REFERENCES Sea(Name) ON DELETE CASCADE);

ALTER TABLE MergesWith
ADD(CONSTRAINT MergeswS2 FOREIGN KEY (Sea2) REFERENCES Sea(Name) ON DELETE CASCADE);

-- IslandIn-Island
ALTER TABLE IslandIn
ADD(CONSTRAINT IslINIsl FOREIGN KEY (Island) REFERENCES Island(Name) ON DELETE CASCADE);

-- IslandIn-Sea
ALTER TABLE IslandIn
ADD(CONSTRAINT IslINSea FOREIGN KEY (Sea) REFERENCES Sea(Name) ON DELETE CASCADE);

--IslandIn-Lake
ALTER TABLE IslandIn
ADD(CONSTRAINT IslINLake FOREIGN KEY(Lake) REFERENCES Lake(Name) ON DELETE CASCADE):

--IslandIn-River
ALTER TABLE IslandIn
ALTER(CONSTRAINT IslINRiv FOREIGN KEY (River) REFERENCES River(Name) ON DELETE CASCADE);

-- MountainOnIsland-Mountain
ALTER TABLE MountainOnIsland
ADD(CONSTRAINT MOIslandMountain FOREIGN KEY (Mountain) REFERENCES Mountain(Name) ON DELETE CASCADE);

-- MountainOnIsland-Island
ALTER TABLE MountainOnIsland
ADD(CONSTRAINT MOIslandIsland FOREIGN KEY (Island) REFERENCES Island(Name) ON DELETE CASCADE);
